#ifndef _PROG_ZIP_H_
#define _PROG_ZIP_H_

/* General includes */
#include <gtk/gtk.h>
#include <stdio.h>  // tmpfile()
#include <string.h> // strchr()
#include <stdlib.h> // atoi()

/* Local includes */
#include "lintar_global.h"
#include "prog.h"

/* Proto definitions */
GtkTreeModel *create_model_zip(GtkWidget *window, gchar *file_name, gboolean view, 
							   gint *nfiles, gint *tsize, gchar **error_msg);
void add_columns_zip(GtkTreeView *treeview, gboolean view);
void extract_archive_zip( gchar *filename, gchar *dir, 
						  gboolean overwrite, gboolean skip_new, GList *selected_files, 
						  gchar **error_msg);


#endif

