
#ifndef _PREFS_DIALOG_H_
#define _PREFS_DIALOG_H_

// General includes
#include <gtk/gtk.h>

// Local includes
#include "lintar_global.h"

/* Structures */
struct _ST_PrefsDialog_cbData {
  GtkWidget *window;
  GtkWidget *tree;
  GtkWidget *overwrite;
  GtkWidget *skip;
  GtkWidget *recursive;
  GtkWidget *apply;
  GtkWidget *opts_max_spin;

  GtkWidget *prog_text_tar;
  GtkWidget *prog_text_unzip;
  GtkWidget *prog_text_compress;
  GtkWidget *prog_text_gzip;
  GtkWidget *prog_text_bzip2;
};
typedef struct _ST_PrefsDialog_cbData ST_PrefsDialog_cbData;

/* Proto definitions */
GtkWidget *create_prefs_dialog(GtkWidget *parent);


#endif /*_PREFS_DIALOG_H_ */
