
#ifndef _PROG_H_
#define _PROG_H_

// General includes
#include <gtk/gtk.h>
#include <string.h>

// Local includes
#include "lintar_global.h"
#include "prog_single.h"
#include "prog_tar.h"
#include "prog_zip.h"

/* Structs */
struct _Comp_Data {
  GtkTreeIter iter;
  gboolean iter_valid;
  gchar *name;
  gint depth;
};
typedef struct _Comp_Data ST_comp_data;

/* Proto definitions */
gboolean tree_cmp_func( GtkTreeModel *model,GtkTreePath *path,GtkTreeIter *iter,gpointer data);
void open_archive(gchar *file);
void extract_archive( gchar *file, gchar *dirname, 
					  gboolean overwrite, gboolean skip_new,
					  GList *selected_files);

#endif /*_PROG_H_ */
