#ifndef _PROG_SINGLE_H_
#define _PROG_SINGLE_H_

/* General includes */
#include <gtk/gtk.h>
#include <stdio.h>   //tmpfile()
#include <string.h>  // strchr()
#include <stdlib.h>  //atoi()
#include <unistd.h>  // symlink()

/* Local includes */
#include "lintar_global.h"
#include "prog.h"


/* Proto definitions */
GtkTreeModel *create_model_single( GtkWidget *window, 
								   gchar *file_name,
								   guint8 compresstype,
								   gboolean view,
								   gint *out_nfiles,
								   gint *out_tsize,
								   gchar **error_msg);
void add_columns_single(GtkTreeView *treeview, gboolean view);
void extract_archive_single( gchar *filename, gchar *dir, guint8 compresstype,
							 gboolean overwrite, gchar **error_msg);

#endif

